Package org.apache.sysds.runtime.instructions.cp

# Class Data

java.lang.Object
org.apache.sysds.runtime.instructions.cp.Data

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `CacheableData`, `CmCovObject`, `Encrypted`, `KahanObject`, `ListObject`, `ScalarObject`

public abstract class Data extends Object implements Serializable

See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`Types.DataType`
`getDataType()`
`abstract String`
`getDebugName()`
`MetaData`
`getMetaData()`
`Types.ValueType`
`getValueType()`
`void`
`removeMetaData()`
`void`
`setMetaData(MetaData md)`
`String`
`toString(boolean metaOnly)`
`void`
`updateDataCharacteristics(DataCharacteristics mc)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getDebugName

public abstract String getDebugName()

### getDataType

public Types.DataType getDataType()

### getValueType

public Types.ValueType getValueType()

### setMetaData

public void setMetaData(MetaData md)

### getMetaData

public MetaData getMetaData()

### removeMetaData

public void removeMetaData()

### updateDataCharacteristics

public void updateDataCharacteristics(DataCharacteristics mc)

### toString

public String toString(boolean metaOnly)